/*
	PlastererApplet
	Copyright (C) 2004 ONO, Masayuki <mono101@skill-engineering.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef __PLASTERER_DEFINE_H__
#define __PLASTERER_DEFINE_H__

#include <syslog.h>
#define DBG_LOG( msg ) syslog( LOG_LOCAL4 | LOG_DEBUG, "%s", msg )

static const char* _version_ =
#include "../version.txt"
;

// Config File, Section, and Key Names
#define CNF_L    "Launcher"
#define SEC_WP   "WallPaper"
#define KEY_WFN  "wallFName"
#define CNF_P    "Plasterer"
#define KEY_SVH  "useSameImage"
#define KEY_HTM  "tilingModeH"
#define KEY_VTM  "tilingModeV"
#define KEY_HFT  "fitToDispH"
#define KEY_VFT  "fitToDispV"
#define KEY_HFN  "wallFNameH"
#define KEY_VFN  "wallFNameV"
#define KEY_HBC  "backColorH"
#define KEY_VBC  "backColorV"

// path and names of work files
#define WF_V_IMG  "vImage.png"
#define WF_H_IMG  "hImage.png"
#define WF_PATH   "Image_Files/"

#endif // __PLASTERER_DEFINE_H__



